#!/usr/bin/bash

if [ $# -ne 1 ]
then
	echo "argument error."
	exit
fi

ProjectJar=Test.jar

if [ $1 = "c" ]
then
#{
#compile java program

echo "Compile program."

src="src/*.java src/inner/*.java"
javac -d classes ${src}
jar -cvf ${ProjectJar} -C classes .

#}
fi

if [ $1 = "r" ]
then
#{
#run java program

echo "Run program."

java -cp ${ProjectJar} Main

#}
fi

echo "Over!"
